### Constructor

# Cogl Bitmap new_from_file

#### Declaration [src]

    CoglBitmap*
    cogl_bitmap_new_from_file (
      const char* filename,
      GError** error
    )

#### Description [src]

Loads an image file from disk. This function can be safely called from within a thread.

#### Parameters

`filename`

  Type: `const char*`

  The file to load.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the constructor if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `CoglBitmap`

A `CoglBitmap` to the new loaded image data, or `NULL` if loading the image failed.

The caller of the function takes ownership of the data, and is responsible for freeing it.